# Plug-In Chips Mod
Adds various items from the NieR games into Risk of Rain 2!
Values for most of the items can be changed in the config editor to your own liking. 
Feedback/Suggestions are always appreciated; feel free to contact me in the Risk of Rain 2 modding discord server: @joseph#6783


# Update
Huge update is here. Massive changes and new stuff. First off, mr. bones does all the models and icons for the items. He puts out a large amount of high quality stuff so big thanks to mr bones.<br />
Lots of my code is straight out of KomradeSpectre's Item Creation Boilerplate so thank you to him for the resources he has provided to the community, also thanks to bubbet for helping out with custom void items. <br />
You may want to reset your config for balance changes and it might be scuffed with the port to thunderkit. <br />
Mod has been ported over to thunderkit as of this update, nothing should really change for you guys due to that, it just makes the mod easier for me to manage. <br />
New items have been added! Enjoy. <br />
I made a github with some code comments for my project so go check that out if you need to reference some code, or if *cough* you want to make item displays. <br />
Multiplayer for this update is pretty much untested, so good luck. Just let me know.


# Items
**Deadly Heal**: Heals the player for 10% of their max hp when killing an enemy.

**Offensive Heal**: When the player hits an enemy, they heal for 20% of the attack's damage.

**Anti-Chain Damage**: When the player is hit by an enemy, they become invulnerable to all damage for 1.5 seconds.

**Shockwave**: Whenever the player uses their primary skill, fires a shockwave attack in that direction that deals 80% damage, and pierces enemies.

**Taunt-Up**: When the player strikes an enemy, the enemy is thrown into a rage, permanantely increasing speed, damage, and damage received.

**OS Chip**: 2 random buffs are chosen for 30 seconds at a time that activate superpowered versions of the other chips, then the chip cools down for 15 seconds. (Specific numbers are in the changelog)

**Nier's Iron Pipe**: Increases crit damage by 5%; Gain a 5% chance on crit to crit a second time.

**Virtuous Contract**: Increases damage dealt by 10% while health is full. (This *should* not include shields as health)

**Virtuous Treaty**: Hitting an enemy has a chance to apply a logic virus debuff that last for 8 seconds. Stacking 25 of these will cause them to take 25% of their current combined health as damage. 

# Equipment
**The Black Flower**: Has a 60% chance of increasing some stats. Has a 40% chance of spawning a doppelganger. Guaranteed doppelganger spawn on death.

**Lunar Tear**: Has a 70% chance of spawning in a doppelganger as an ally. Has a 30% chance of lowering some stats. Gives a buff to allies on death.

**Yorha Visor**: Target an enemy to hack them, turning yourself into them. Reaching critical health in this state will revert you back to your original form.


# Known Issues
- Add lore for some of the new items.
- Multiplayer is untested for os chip and visor, good luck.
- Item displays maybe?
- I think yorha visor and virtuous contract have some rare confliction with a null reference, however this error does not matter because the original method is still called.


# Changelog
**Balance changes likely require you to delete the config to take effect** <br /> <br />
`1.0.0`<br />
- **General**
	- Ported mod over to thunderkit for easier management on my end
	- Added github repo for the mod for reference/backup/help
	- Upgraded pickup icons for items
- **Shockwave**
	- Buffed damage to deal 100% base damage of character
- **Anti-Chain Damge**
	- Nerfed to provide a consistent 3 second cooldown on ANY character that has the item
	- This cooldown cannot be cleansed
- **Deadly Heal**
	- Nerfed healing to 5% max hp at base
- **Offensive Heal**
	- Nerfed healing to 10% of damage at base
- **OS Chip**
	- Added OS Chip
	- Super Anti Chain: 3 seconds of immunity with NO cooldown after
	- Super Shockwave: Deals 300% base damage +50% per stack
	- Super Deadly Heal: Heals 30% max hp on kill
	- Super Offensive Heal: Heals 25% damage dealt on hit
	- Super Taunt: Applies debuff on enemies making them take 300% damage, however they gain no buffs.
- **Nier's Iron Pipe**
	- Added Nier's Iron Pipe
- **Virtuous Contract**
	- Added Virtuous Contract
- **Virtuous Treaty**
	- Added Virtuous Treaty
- **Yorha Visor**
	- Added Yorha Visor

`0.9.9`<br />
- **General**
	- Updated plug-in chip models to look really cool (thanks mr. bones).

`0.9.2`<br />
- **Anti-Chain Damage**
	- Added a hidden, 5 second cooldown debuff onto monsters that hold this item due to unkillable scavengers.
- **Taunt-Up**
	- Fixed an issue where damaging yourself would apply the taunt buff/debuff to yourself (nice try).

`0.9.1`<br />
- **General**
	- Removed update section of readme
- **Anti-Chain Damage**
	- Fixed a bug where immune buff was not applying

`0.9.0`<br />
- **General**
	- Updated for support to Survivors of the Void DLC.
	- Updated dependency requirements accordingly.
- **The Black Flower**
	- Fixed an issue where the pickup description was incorrect.
- **Lunar Tear**
	- Fixed a mistake where the doppelganger ally spawn rate was actually 90%.

`0.8.0`<br />
- **General**
	- [Hopefully] fixed the elite incident causing an ungodly amount of explosions to spawn in.
	- Rebranded mod to NieR items, as most plug-in chip functions already exist in the game anyway.
	- Fixed an issue where game still showed old version numbers when loading in. (woops)
- **New Content**
	- Added The Black Flower lunar equipment
	- Added Lunar Tear lunar equipment

`0.3.0`<br />
- **Shockwave**
	- Fixed an issue where the full description was not displaying properly.
- **Taunt-Up**
	- Added Taunt-Up chip

`0.2.0` <br />
- **Shockwave**:
	- Added shockwave chip

`0.1.1`<br />  
- **Anti-Chain Damage**:
	- Fixed an issue where Anti-Chain Damage was not stacking past 2 stacks.
	- Increased base duration to 1.5 seconds (up from 1 second)
	- Decreased time increment per stack to .5 seconds (down from 1 second)
	- (I felt as though it was too weak with one, but too powerful with multiple stacks.)
- **Offensive Heal**:
	- Increased base healing to 20% (up from 10%)
	- (I think it needed this to really be worth the red-tier, seeing how deadly heal is green and is more effective early game.)  

`0.1.0`
- Release